import { Injectable } from '@angular/core';
import {Router} from '@angular/router';
@Injectable()
export class NavigationService {

  constructor(private router:Router) { }



  Primaryscore={
    "setActive" : true,
    "technicalActive":"",
    "technicalDisabled":true,
    "businessDisabled":true,
    "primaryScore":null
    /*"timewarp":0,
    "goldenkey":0,
    "components":0*/
  };

  Technicalscore={
    "businessSelected":"",
    "businessDisabled":true,
    "technicalScore":null
    /*"timewarp":0,
    "goldenkey":0,
    "components":0*/
  };
  BusinessScore={
    "businessScore":null
    /*"timewarp":0,
    "goldenkey":0,
    "components":0*/
  };
  goToPrimaryTestPage(){
    this.router.navigate(['primaryPlayground']);
  }
  getPrimaryTestScore(){
    return this.Primaryscore;
  }
  setPrimaryTestScore(score){
    this.Primaryscore = score;
  }
  goToDashboardFromPrimary(score){
    this.setPrimaryTestScore(score);
    this.router.navigate(['dashboard']);
  }

  goToTechnicalTestPage(){
    this.router.navigate(['technicalPlayground']);
  }

  getTechnicalTestScore() {
    console.log("getTechnicalScore");
    return this.Technicalscore;
  }
  setTechnicalTestScore(score){
    this.Technicalscore = score
  }
  goToDashboardFromTechnical(score){
    this.setTechnicalTestScore(score);
    this.router.navigate(['dashboard']);
  }
  goToBusinessTestPage(){
    this.router.navigate(['businessPlayground'])
  }
  getBusinessTestScore(){
    console.log('getBusinessTestScore');
    return this.BusinessScore;
  }
  setBusinessTestScore(score){
    this.BusinessScore = score;
  }
  goToDashboardFromBusiness(score){
    this.setBusinessTestScore(score);
    this.router.navigate(['dashboard']);
  }

}
